-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "ptBR") and (GetLocale() ~= "ptPT") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Pyrewood Village" EU server, Horde side.
        Subby
        Sheeps
        Bandog
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        (Put your name info here please, don't delete if anyone else is here, then write under them.)

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = true
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r have been loaded.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r The addon still need some translation.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("For some reason the value was not found in the 'localization.ptBR' file.");
        DEFAULT_CHAT_FRAME:AddMessage("Please report this bug with info on what you did.");
        return
    end
	rawset(t, i, value)
	return value
end })


-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.

    L["strAlchemy"] = "Alquimia";                                       -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "Herborismo";                                   -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "Bought from vendor.";                                -- enUS = "Bought from vendor."
    L["HerbSkil"] = "Herbing difficulty: ";                             -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "Alchemy skill: ";                              -- enUS = "Alchemy skill: "
    L["Used"] = "Used by alchemists for:";                              -- enUS = "Used by alchemists for:"
    L["Mats"] = "Materials used:";                                      -- enUS = "Materials used:"
    L["Swifthistle"] = "Found with [Briarthorn] and [Mageroyal].";      -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "Found with [Purple Lotus].";                       -- enUS = "Found with [Purple Lotus]."
    L["or"] = "or"                                                      -- enUS = "or"

    -- All the things there can be made with Alchemy.
    --      https://pt.classic.wowhead.com/item=

    L["118"] = "Minor Healing Potion";                                  -- enUS = "Minor Healing Potion"
    L["2454"] = "Elixir of Lion's Strength";                            -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "Elixir of Minor Defense";                              -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "Weak Troll's Blood Potion";                            -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "Minor Mana Potion";                                    -- enUS = "Minor Mana Potion"
    L["2456"] = "Minor Rejuvenation Potion";                            -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "Elixir of Minor Fortitude";                            -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "Elixir of Minor Agility";                              -- enUS = "Elixir of Minor Agility"
    L["4596"] = "Discolored Healing Potion";                            -- enUS = "Discolored Healing Potion"
    L["858"] = "Lesser Healing Potion";                                 -- enUS = "Lesser Healing Potion"
    L["2459"] = "Swiftness Potion";                                     -- enUS = "Swiftness Potion"
    L["5631"] = "Rage Potion";                                          -- enUS = "Rage Potion"
    L["6370"] = "Blackmouth Oil";                                       -- enUS = "Blackmouth Oil"
    L["3383"] = "Elixir of Wisdom";                                     -- enUS = "Elixir of Wisdom"
    L["929"] = "Healing Potion";                                        -- enUS = "Healing Potion"
    L["5996"] = "Elixir of Water Breathing";                            -- enUS = "Elixir of Water Breathing"
    L["6662"] = "Elixir of Giant Growth";                               -- enUS = "Elixir of Giant Growth"
    L["6051"] = "Holy Protection Potion";                               -- enUS = "Holy Protection Potion"
    L["6372"] = "Swim Speed Potion";                                    -- enUS = "Swim Speed Potion"
    L["3384"] = "Minor Magic Resistance Potion";                        -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "Lesser Mana Potion";                                   -- enUS = "Lesser Mana Potion"
    L["3386"] = "Elixir of Poison Resistance";                          -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "Strong Troll's Blood Potion";                          -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "Fire Oil";                                             -- enUS = "Fire Oil"
    L["3389"] = "Elixir of Defense";                                    -- enUS = "Elixir of Defense"
    L["6048"] = "Shadow Protection Potion";                             -- enUS = "Shadow Protection Potion"
    L["3390"] = "Elixir of Lesser Agility";                             -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "Elixir of Firepower";                                  -- enUS = "Elixir of Firepower"
    L["3391"] = "Elixir of Ogre's Strength";                            -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "Free Action Potion";                                   -- enUS = "Free Action Potion"
    L["1710"] = "Greater Healing Potion";                               -- enUS = "Greater Healing Potion"
    L["3827"] = "Mana Potion";                                          -- enUS = "Mana Potion"
    L["3823"] = "Lesser Invisibility Potion";                           -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "Shadow Oil";                                           -- enUS = "Shadow Oil"
    L["6049"] = "Fire Protection Potion";                               -- enUS = "Fire Protection Potion"
    L["3825"] = "Elixir of Fortitude";                                  -- enUS = "Elixir of Fortitude"
    L["5633"] = "Great Rage Potion";                                    -- enUS = "Great Rage Potion"
    L["3826"] = "Mighty Troll's Blood Potion";                          -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "Elixir of Agility";                                    -- enUS = "Elixir of Agility"
    L["6050"] = "Frost Protection Potion";                              -- enUS = "Frost Protection Potion"
    L["6052"] = "Nature Protection Potion";                             -- enUS = "Nature Protection Potion"
    L["17708"] = "Elixir of Frost Power";                               -- enUS = "Elixir of Frost Power"
    L["3828"] = "Elixir of Detect Lesser Invisibility";                 -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "Elixir of Greater Defense";                            -- enUS = "Elixir of Greater Defense"
    L["3829"] = "Frost Oil";                                            -- enUS = "Frost Oil"
    L["10592"] = "Catseye Elixir";                                      -- enUS = "Catseye Elixir"
    L["6149"] = "Greater Mana Potion";                                  -- enUS = "Greater Mana Potion"
    L["8956"] = "Oil of Immolation";                                    -- enUS = "Oil of Immolation"
    L["9036"] = "Magic Resistance Potion";                              -- enUS = "Magic Resistance Potion"
    L["9061"] = "Goblin Rocket Fuel";                                   -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "Restorative Potion";                                   -- enUS = "Restorative Potion"
    L["4623"] = "Lesser Stoneshield Potion";                            -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "Superior Healing Potion";                              -- enUS = "Superior Healing Potion"
    L["18294"] = "Elixir of Greater Water Breathing";                   -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "Wildvine Potion";                                      -- enUS = "Wildvine Potion"
    L["9149"] = "Philosophers' Stone";                                  -- enUS = "Philosophers' Stone"
    L["9154"] = "Elixir of Detect Undead";                              -- enUS = "Elixir of Detect Undead"
    L["12190"] = "Dreamless Sleep Potion";                              -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "Arcane Elixir";                                        -- enUS = "Arcane Elixir"
    L["9172"] = "Invisibility Potion";                                  -- enUS = "Invisibility Potion"
    L["9179"] = "Elixir of Greater Intellect";                          -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "Gift of Arthas";                                       -- enUS = "Gift of Arthas"
    L["9187"] = "Elixir of Greater Agility";                            -- enUS = "Elixir of Greater Agility"
    L["9197"] = "Elixir of Dream Vision";                               -- enUS = "Elixir of Dream Vision"
    L["9206"] = "Elixir of Giants";                                     -- enUS = "Elixir of Giants"
    L["9210"] = "Ghost Dye";                                            -- enUS = "Ghost Dye"
    L["13423"] = "Stonescale Oil";                                      -- enUS = "Stonescale Oil"
    L["20747"] = "Lesser Mana Oil";                                     -- enUS = "Lesser Mana Oil"
    L["20748"] = "Brilliant Mana Oil";                                  -- enUS = "Brilliant Mana Oil"
    L["9264"] = "Elixir of Shadow Power";                               -- enUS = "Elixir of Shadow Power"
    L["9224"] = "Elixir of Demonslaying";                               -- enUS = "Elixir of Demonslaying"
    L["9233"] = "Elixir of Detect Demon";                               -- enUS = "Elixir of Detect Demon"
    L["21546"] = "Elixir of Greater Firepower";                         -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "Limited Invulnerability Potion";                       -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "Mighty Rage Potion";                                  -- enUS = "Mighty Rage Potion"
    L["13443"] = "Superior Mana Potion";                                -- enUS = "Superior Mana Potion"
    L["13445"] = "Elixir of Superior Defense";                          -- enUS = "Elixir of Superior Defense"
    L["13447"] = "Elixir of the Sages";                                 -- enUS = "Elixir of the Sages"
    L["13446"] = "Major Healing Potion";                                -- enUS = "Major Healing Potion"
    L["13453"] = "Elixir of Brute Force";                               -- enUS = "Elixir of Brute Force"
    L["20007"] = "Mageblood Potion";                                    -- enUS = "Mageblood Potion"
    L["20002"] = "Greater Dreamless Sleep Potion";                      -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "Greater Stoneshield Potion";                          -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "Elixir of the Mongoose";                              -- enUS = "Elixir of the Mongoose"
    L["13462"] = "Purification Potion";                                 -- enUS = "Purification Potion"
    L["13454"] = "Greater Arcane Elixir";                               -- enUS = "Greater Arcane Elixir"
    L["20008"] = "Living Action Potion";                                -- enUS = "Living Action Potion"
    L["13457"] = "Greater Fire Protection Potion";                      -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "Greater Frost Protection Potion";                     -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "Greater Nature Protection Potion";                    -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "Greater Arcane Protection Potion";                    -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "Greater Shadow Protection Potion";                    -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "Major Troll's Blood Potion";                          -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "Major Mana Potion";                                   -- enUS = "Major Mana Potion"
    L["18253"] = "Major Rejuvenation Potion";                           -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "Alchemist's Stone";                                   -- enUS = "Alchemist's Stone"
    L["13506"] = "Flask of Petrification";                              -- enUS = "Flask of Petrification"
    L["13510"] = "Flask of the Titans";                                 -- enUS = "Flask of the Titans"
    L["13511"] = "Flask of Distilled Wisdom";                           -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "Flask of Supreme Power";                              -- enUS = "Flask of Supreme Power"
    L["13513"] = "Flask of Chromatic Resistance";                       -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "Gurubashi Mojo Madness";                              -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy

    L["11479"] = "Transmute: Iron to Gold";                             -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "Transmute: Mithril to Truesilver";                    -- enUS = "Transmute: Mithril to Truesilver"
    L["25146"] = "Transmute: Elemental Fire";                           -- enUS = "Transmute: Elemental Fire"
    L["17187"] = "Transmute: Arcanite";                                 -- enUS = "Transmute: Arcanite"
    L["17559"] = "Transmute: Air to Fire";                              -- enUS = "Transmute: Air to Fire"
    L["17560"] = "Transmute: Fire to Earth";                            -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "Transmute: Earth to Water";                           -- enUS = "Transmute: Earth to Water"
    L["17562"] = "Transmute: Water to Air";                             -- enUS = "Transmute: Water to Air"
    L["17563"] = "Transmute: Undeath to Water";                         -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "Transmute: Water to Undeath";                         -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "Transmute: Life to Earth";                            -- enUS = "Transmute: Life to Earth"
    L["17566"] = "Transmute: Earth to Life";                            -- enUS = "Transmute: Earth to Life"

    -- All the herbs used for potions.

    L["2447"] = "Peacebloom";                                           -- enUS = "Peacebloom"
    L["765"] = "Silverleaf";                                            -- enUS = "Silverleaf"
    L["2449"] = "Earthroot";                                            -- enUS = "Earthroot"
    L["785"] = "Mageroyal";                                             -- enUS = "Mageroyal"
    L["2450"] = "Briarthorn";                                           -- enUS = "Briarthorn"
    L["2452"] = "Swifthistle";                                          -- enUS = "Swifthistle"
    L["3820"] = "Stranglekelp";                                         -- enUS = "Stranglekelp"
    L["2453"] = "Bruiseweed";                                           -- enUS = "Bruiseweed"
    L["3355"] = "Wild Steelbloom";                                      -- enUS = "Wild Steelbloom"
    L["3369"] = "Grave Moss";                                           -- enUS = "Grave Moss"
    L["3356"] = "Kingsblood";                                           -- enUS = "Kingsblood"
    L["3357"] = "Liferoot";                                             -- enUS = "Liferoot"
    L["3818"] = "Fadeleaf";                                             -- enUS = "Fadeleaf"
    L["3821"] = "Goldthorn";                                            -- enUS = "Goldthorn"
    L["3358"] = "Khadgar's Whisker";                                    -- enUS = "Khadgar's Whisker"
    L["3819"] = "Wintersbite";                                          -- enUS = "Wintersbite"
    L["4625"] = "Firebloom";                                            -- enUS = "Firebloom"
    L["8831"] = "Purple Lotus";                                         -- enUS = "Purple Lotus"
    L["8153"] = "Wildvine";                                             -- enUS = "Wildvine"
    L["8836"] = "Arthas' Tears";                                        -- enUS = "Arthas' Tears"
    L["8838"] = "Sungrass";                                             -- enUS = "Sungrass"
    L["8839"] = "Blindweed";                                            -- enUS = "Blindweed"
    L["8845"] = "Ghost Mushroom";                                       -- enUS = "Ghost Mushroom"
    L["8846"] = "Gromsblood";                                           -- enUS = "Gromsblood"
    L["13464"] = "Golden Sansam";                                       -- enUS = "Golden Sansam"
    L["13463"] = "Dreamfoil";                                           -- enUS = "Dreamfoil"
    L["13465"] = "Mountain Silversage";                                 -- enUS = "Mountain Silversage"
    L["13466"] = "Plaguebloom";                                         -- enUS = "Plaguebloom"
    L["13467"] = "Icecap";                                              -- enUS = "Icecap"
    L["13468"] = "Black Lotus";                                         -- enUS = "Black Lotus"

    -- All the Vail's used for potions.

    L["3371"] = "Empty Vial";                                           -- enUS = "Empty Vial"
    L["3372"] = "Leaded Vial";                                          -- enUS = "Leaded Vial"
    L["8925"] = "Crystal Vial";                                         -- enUS = "Crystal Vial"
    L["18256"] = "Imbued Vial";                                         -- enUS = "Imbued Vial"

    -- All the rest used for potions.
    L["5635"] = "Sharp Claw";                                           -- enUS = "Sharp Claw"
    L["6358"] = "Oily Blackmouth";                                      -- enUS = "Oily Blackmouth"
    L["6359"] = "Firefin Snapper";                                      -- enUS = "Firefin Snapper"
    L["3164"] = "Discolored Worg Heart";                                -- enUS = "Discolored Worg Heart"
    L["6522"] = "Deviate Fish";                                         -- enUS = "Deviate Fish"
    L["3575"] = "Iron Bar";                                             -- enUS = "Iron Bar"
    L["9262"] = "Black Vitriol";                                        -- enUS = "Black Vitriol"
    L["7972"] = "Ichor of Undeath";                                     -- enUS = "Ichor of Undeath"
    L["3858"] = "Mithril Ore";                                          -- enUS = "Mithril Ore"
    L["4402"] = "Small Flame Sac";                                      -- enUS = "Small Flame Sac"
    L["3860"] = "Mithril Bar";                                          -- enUS = "Mithril Bar"
    L["10620"] = "Thorium Ore";                                         -- enUS = "Thorium Ore"
    L["7076"] = "Essence of Earth";                                     -- enUS = "Essence of Earth"
    L["12359"] = "Thorium Bar";                                         -- enUS = "Thorium Bar"
    L["12363"] = "Arcane Crystal";                                      -- enUS = "Arcane Crystal"
    L["13422"] = "Stonescale Eel";                                      -- enUS = "Stonescale Eel"
    L["11176"] = "Dream Dust";                                          -- enUS = "Dream Dust"
    L["7077"] = "Heart of Fire";                                        -- enUS = "Heart of Fire"
    L["7080"] = "Essence of Water";                                     -- enUS = "Essence of Water"
    L["10286"] = "Heart of the Wild";				                    -- enUS = "Heart of the Wild"
    L["7067"] = "Elemental Earth";                                      -- enUS = "Elemental Earth"
    L["7078"] = "Essence of Fire";                                      -- enUS = "Essence of Fire"
    L["12803"] = "Living Essence";                                      -- enUS = "Living Essence"
    L["12808"] = "Essence of Undeath";                                  -- enUS = "Essence of Undeath"
    L["1288"] = "Large Venom Sac";                                      -- enUS = "Large Venom Sac"
    L["7068"] = "Elemental Fire";                                       -- enUS = "Elemental Fire"
    L["12938"] = "Blood of Heroes";                                     -- enUS = "Blood of Heroes"
    L["19943"] = "Massive Mojo";                                        -- enUS = "Massive Mojo"
    L["12804"] = "Powerful Mojo";                                       -- enUS = "Powerful Mojo"
    L["7070"] = "Água Elemental";                                       -- enUS = "Elemental Water"
    L["9260"] = "Rum Volátil";                                          -- enUS = "Volatile Rum"
    L["7082"] = "Essência do Ar";                                       -- enUS = "Essence of Air"
    L["4342"]  "Pigmento Roxo";                                         -- enUS = "Purple Dye"